REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single UserMessage record by its Id.
{ "BusinessId": 123, "ToUsers": [ 123 ], "FromName": "<string>", "FromUserId": 123, "Header": "<string>", "Body": "<string>", "IsRead": true, "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
UserMessage-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/usermessages/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "BusinessId": 0, "ToUsers": [], "FromName": null, "FromUserId": null, "Header": null, "Body": null, "IsRead": false, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "UserMessage Example", "LocalizationDetails": null, "CustomFields": null }